<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 02.04.2015
 */
use yii\db\Schema;
use yii\db\Migration;

class m150310_110657_create_table__catalog_price extends Migration
{
    public function safeUp()
    {
        $tableExist = $this->db->getTableSchema("{{%catalog_price}}", true);
        if ($tableExist)
        {
            return true;
        }

        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable("{{%catalog_price}}", [
            'id'                    => Schema::TYPE_PK,

            'created_by'            => Schema::TYPE_INTEGER . ' NULL',
            'updated_by'            => Schema::TYPE_INTEGER . ' NULL',

            'created_at'            => Schema::TYPE_INTEGER . ' NULL',
            'updated_at'            => Schema::TYPE_INTEGER . ' NULL',

            'code'                  => Schema::TYPE_STRING . '(255) NOT NULL',
            'name'                  => Schema::TYPE_STRING . '(255) NOT NULL',
            'base'                  => Schema::TYPE_SMALLINT . '(1) NOT NULL DEFAULT 0',

            'priority'              => Schema::TYPE_INTEGER . '  NOT NULL DEFAULT 0',
        ], $tableOptions);

        $this->execute("ALTER TABLE {{%catalog_price}} ADD INDEX(updated_by);");
        $this->execute("ALTER TABLE {{%catalog_price}} ADD INDEX(created_by);");

        $this->execute("ALTER TABLE {{%catalog_price}} ADD INDEX(created_at);");
        $this->execute("ALTER TABLE {{%catalog_price}} ADD INDEX(updated_at);");


        $this->execute("ALTER TABLE {{%catalog_price}} ADD INDEX(name);");
        $this->execute("ALTER TABLE {{%catalog_price}} ADD INDEX(base);");

        $this->execute("ALTER TABLE {{%catalog_price}} ADD UNIQUE(code);");

        $this->execute("ALTER TABLE {{%catalog_price}} COMMENT = 'Тип цены';");

        $this->addForeignKey(
            'catalog_price_created_by', "{{%catalog_price}}",
            'created_by', '{{%cms_user}}', 'id', 'SET NULL', 'SET NULL'
        );

        $this->addForeignKey(
            'catalog_price_updated_by', "{{%catalog_price}}",
            'updated_by', '{{%cms_user}}', 'id', 'SET NULL', 'SET NULL'
        );
    }

    public function down()
    {
        $this->dropForeignKey("catalog_price_created_by", "{{%catalog_price}}");
        $this->dropForeignKey("catalog_price_updated_by", "{{%catalog_price}}");

        $this->dropTable("{{%catalog_price}}");
    }
}