<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 11.03.2015
 */
namespace skeeks\modules\cms\catalog\controllers;

use skeeks\cms\actions\ViewModelAction;
use skeeks\cms\base\Controller;
use skeeks\cms\models\Publication;
use skeeks\cms\models\searchs\Publication as PublicationSearch;
use skeeks\modules\cms\catalog\models\Product;
use Yii;


/**
 * Site controller
 */
class ProductController extends Controller
{
    /**
     * @inheritdoc
     */
    public function actions()
    {
        return
        [
            'view' =>
            [
                'class'                 => 'skeeks\cms\actions\ViewModelActionSeo',
                'modelClassName'        => Product::className(),
                'callback'              =>  [$this, 'viewProduct']
            ],
        ];
    }

    /**
     * @param ViewModelActionSeo $action
     */
    public function viewProduct(ViewModelAction $action)
    {
        /**
         * @var Publication $publication
         */
        $publication = $action->getModel();
        $tree = $publication->fetchMainTree();

        if ($tree)
        {
            \Yii::$app->cms->setCurrentTree($tree);
            \Yii::$app->breadcrumbs->setPartsByTree($tree);

            \Yii::$app->breadcrumbs->append([
                'url' => $publication->getPageUrl(),
                'name' => $publication->name
            ]);
        }
    }


}
