<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 10.03.2015
 */
use yii\db\Schema;
use yii\db\Migration;

class m150309_100547_create_product_property_group_table extends Migration
{
    public function up()
    {
        $tableExist = $this->db->getTableSchema("{{%catalog_product_property_group}}", true);
        if ($tableExist)
        {
            return true;
        }

        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable("{{%catalog_product_property_group}}", [
            'id'                    => Schema::TYPE_PK,

            'created_by'            => Schema::TYPE_INTEGER . ' NULL',
            'updated_by'            => Schema::TYPE_INTEGER . ' NULL',

            'created_at'            => Schema::TYPE_INTEGER . ' NULL',
            'updated_at'            => Schema::TYPE_INTEGER . ' NULL',

            'name'                  => Schema::TYPE_STRING . '(255) NOT NULL',
            'description'           => Schema::TYPE_TEXT . ' NULL',

            'files'                 => Schema::TYPE_TEXT. ' NULL',

            'code'                 => Schema::TYPE_STRING. '(32) NULL',

        ], $tableOptions);

        $this->execute("ALTER TABLE {{%catalog_product_property_group}} ADD INDEX(updated_by);");
        $this->execute("ALTER TABLE {{%catalog_product_property_group}} ADD INDEX(created_by);");

        $this->execute("ALTER TABLE {{%catalog_product_property_group}} ADD INDEX(created_at);");
        $this->execute("ALTER TABLE {{%catalog_product_property_group}} ADD INDEX(updated_at);");

        $this->execute("ALTER TABLE {{%catalog_product_property_group}} ADD INDEX(name);");

        $this->execute("ALTER TABLE {{%catalog_product_property_group}} ADD UNIQUE(code);");

        $this->execute("ALTER TABLE {{%catalog_product_property_group}} COMMENT = 'Группа свойств товара';");

        $this->addForeignKey(
            'catalog_product_property_group_created_by', "{{%catalog_product_property_group}}",
            'created_by', '{{%cms_user}}', 'id', 'RESTRICT', 'RESTRICT'
        );

        $this->addForeignKey(
            'catalog_product_property_group_updated_by', "{{%catalog_product_property_group}}",
            'updated_by', '{{%cms_user}}', 'id', 'RESTRICT', 'RESTRICT'
        );
    }

    public function down()
    {
        $this->dropForeignKey("catalog_product_property_group_created_by", "{{%catalog_product_property_group}}");
        $this->dropForeignKey("catalog_product_property_group_updated_by", "{{%catalog_product_property_group}}");

        $this->dropTable("{{%catalog_product_property_group}}");
    }
}