<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 10.03.2015
 */
use yii\db\Schema;
use yii\db\Migration;

class m150310_110557_create_product_property__product__map extends Migration
{
    public function up()
    {
        $tableExist = $this->db->getTableSchema("{{%catalog_product_property_map}}", true);
        if ($tableExist)
        {
            return true;
        }

        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_general_ci ENGINE=InnoDB';
        }

        $this->createTable("{{%catalog_product_property_map}}", [
            'id'                    => Schema::TYPE_PK,

            'created_by'            => Schema::TYPE_INTEGER . ' NULL',
            'updated_by'            => Schema::TYPE_INTEGER . ' NULL',

            'created_at'            => Schema::TYPE_INTEGER . ' NULL',
            'updated_at'            => Schema::TYPE_INTEGER . ' NULL',

            'property_id'           => Schema::TYPE_INTEGER . ' NULL',
            'product_id'            => Schema::TYPE_INTEGER . ' NULL',

            'value'                 => Schema::TYPE_STRING . '(255) NOT NULL',

        ], $tableOptions);

        $this->execute("ALTER TABLE {{%catalog_product_property_map}} ADD INDEX(updated_by);");
        $this->execute("ALTER TABLE {{%catalog_product_property_map}} ADD INDEX(created_by);");

        $this->execute("ALTER TABLE {{%catalog_product_property_map}} ADD INDEX(created_at);");
        $this->execute("ALTER TABLE {{%catalog_product_property_map}} ADD INDEX(updated_at);");

        $this->execute("ALTER TABLE {{%catalog_product_property_map}} ADD INDEX(property_id);");
        $this->execute("ALTER TABLE {{%catalog_product_property_map}} ADD INDEX(product_id);");

        $this->execute("ALTER TABLE {{%catalog_product_property_map}} ADD INDEX(value);");

        $this->execute("ALTER TABLE {{%catalog_product_property_map}} COMMENT = 'Связь товара свойства и значения';");

        $this->addForeignKey(
            'catalog_product_property_map_created_by', "{{%catalog_product_property_map}}",
            'created_by', '{{%cms_user}}', 'id', 'RESTRICT', 'RESTRICT'
        );

        $this->addForeignKey(
            'catalog_product_property_map_updated_by', "{{%catalog_product_property_map}}",
            'updated_by', '{{%cms_user}}', 'id', 'RESTRICT', 'RESTRICT'
        );

        $this->addForeignKey(
            'catalog_product_property_map_product_id', "{{%catalog_product_property_map}}",
            'product_id', '{{%catalog_product}}', 'id', 'CASCADE', 'CASCADE'
        );

        $this->addForeignKey(
            'catalog_product_property_map_property_id', "{{%catalog_product_property_map}}",
            'property_id', '{{%catalog_product_property}}', 'id', 'CASCADE', 'CASCADE'
        );
    }

    public function down()
    {
        $this->dropForeignKey("catalog_product_property_map_created_by", "{{%catalog_product_property_map}}");
        $this->dropForeignKey("catalog_product_property_map_updated_by", "{{%catalog_product_property_map}}");

        $this->dropForeignKey("catalog_product_property_map_product_id", "{{%catalog_product_property_map}}");
        $this->dropForeignKey("catalog_product_property_map_property_id", "{{%catalog_product_property_map}}");

        $this->dropTable("{{%catalog_product_property_map}}");
    }
}