<?php

use yii\helpers\Html;
use skeeks\cms\modules\admin\widgets\form\ActiveFormUseTab as ActiveForm;
use skeeks\cms\models\Tree;
use skeeks\cms\modules\admin\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $model Tree */
?>

<?php $form = ActiveForm::begin(); ?>



<?= $form->fieldSet('Основная информация') ?>

    <?= $form->field($model, 'image')->widget(
        \skeeks\cms\modules\admin\widgets\formInputs\StorageImages::className(),
        [
            'fileGroup' => 'image',
        ]
    )->label('Главное изображение'); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => 255]) ?>
    <?= $form->field($model, 'article')->textInput(['maxlength' => 255]) ?>
    <?= $form->field($model, 'weight')->hint('Укажите вес в граммах')->textInput(); ?>

    <?/*= $form->field($model, 'type')->label('Тип публикации')->widget(
        \skeeks\widget\chosen\Chosen::className(), [
                'items' => \yii\helpers\ArrayHelper::map(
                     \Yii::$app->registeredModels->getDescriptor($model)->getTypes()->getComponents(),
                     "id",
                     "name"
                 ),
        ])->hint('От выбранного типа публикации может зависеть, то, как она будет отображаться.');
    */?>

    <?/*= $form->field($model, 'tree_id')->label('Главный раздел сайта')->widget(
        \skeeks\widget\chosen\Chosen::className(), [
            'items' => \skeeks\cms\models\helpers\Tree::getAllMultiOptions()
        ])->hint('Главный раздел сайта, к которму привязана публикация');
    */?>



<?= $form->fieldSetEnd(); ?>

<?= $form->fieldSet('Цены') ?>

    <?= $form->field($model, 'ammount')->label('Цена основная')->widget(
        \skeeks\modules\cms\money\widgets\form\MoneyInput::className(), []);
    ?>


    <?= $form->field($model, 'ammount_procurement')->label('Закупочная цена')->widget(
        \skeeks\modules\cms\money\widgets\form\MoneyInput::className(), [
            'fieldNameAmmount'  => 'ammount_procurement',
            'fieldNameCurrency' => 'currency_procurement'
        ]);
    ?>

    <?= $form->field($model, 'ammount_old')->label('Старая цена')->widget(
        \skeeks\modules\cms\money\widgets\form\MoneyInput::className(), [
            'fieldNameAmmount'  => 'ammount_old',
            'fieldNameCurrency' => 'currency_old'
        ]);
    ?>

    <?= $form->field($model, 'ammount_additional')->label('Дополнительная цена')->widget(
        \skeeks\modules\cms\money\widgets\form\MoneyInput::className(), [
            'fieldNameAmmount'  => 'ammount_additional',
            'fieldNameCurrency' => 'currency_additional'
        ]);
    ?>

<?= $form->fieldSetEnd(); ?>



<?= $form->fieldSet('Наличие') ?>

    <?= $form->field($model, 'availability')->textInput(); ?>
    <?= $form->field($model, 'availability_reserved')->textInput(); ?>

<?= $form->fieldSetEnd(); ?>

<?= $form->fieldSet('Изображения'); ?>
    <?/*= $form->field($model, 'files')->widget(\skeeks\cms\widgets\formInputs\StorageImages::className())->label(false); */?>
    <?= $form->field($model, 'images')->widget(
        \skeeks\cms\modules\admin\widgets\formInputs\StorageImages::className(),
        [
            'fileGroup' => 'images',
        ]
    )->label('Изображения');; ?>
<?= $form->fieldSetEnd()?>

<?= $form->fieldSet('Показывать в разделах') ?>

    <?= $form->field($model, 'tree_ids')->label('Разделы сайта')->widget(
        \skeeks\cms\widgets\formInputs\selectTree\SelectTree::className(),
        [

        ])->hint('Укажите разделы сайт, где бы хотелось видеть эту публикацию');
    ?>

<?= $form->fieldSetEnd() ?>

<? if (!$model->isNewRecord) : ?>
<?= $form->fieldSet('Свойства товара') ?>



    <?= \skeeks\cms\modules\admin\widgets\RelatedModelsGrid::widget([
        'label'             => "Дополнительные свойства",
        'hint'             => "Вы можете привязать к товару несколько свойст, и задать им значение",
        'parentModel'       => $model,
        'relation'          => [
            'product_id' => 'id'
        ],

        'controllerRoute'   => 'catalog/admin-product-property-map',
        'gridViewOptions'   => [

            'columns' => [
                //['class' => 'yii\grid\SerialColumn'],
                [
                    'class'     => \yii\grid\DataColumn::className(),
                    'value'     => function(\skeeks\modules\cms\catalog\models\ProductPropertyMap $model)
                    {
                        return $model->fetchProductProperty()->name;
                    },
                    'format' => 'html',
                    'label' => 'Свойство',
                    'enableSorting' => true,
                    'attribute' => "property_id"
                ],

                'value',
            ],
        ],
    ]); ?>

<?= $form->fieldSetEnd(); ?>


<?= $form->fieldSet('Описание'); ?>

    <?= $form->field($model, 'description_full')->widget(
        \skeeks\cms\widgets\formInputs\ckeditor\Ckeditor::className(),
        [
            'options'       => ['rows' => 20],
            'preset'        => 'full',
            'relatedModel'  => $model,
        ])
    ?>

    <?= $form->field($model, 'description_short')->widget(
        \skeeks\cms\widgets\formInputs\ckeditor\Ckeditor::className(),
        [
            'options'       => ['rows' => 6],
            'preset'        => 'full',
            'relatedModel'  => $model,
        ])
    ?>

<?= $form->fieldSetEnd() ?>


<? endif;?>
    <?= $form->buttonsCreateOrUpdate($model); ?>
<?php ActiveForm::end(); ?>

<div class="sx-box sx-p-10 sx-mt-10">
    <h2>Дополнительные свойства</h2>
    <?= $model->renderPropertiesForm(); ?>
</div>





