
<?php
/**
 * index
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 30.10.2014
 * @since 1.0.0
 */
use skeeks\cms\modules\admin\widgets\GridView;

/* @var $this yii\web\View */
/* @var $searchModel \skeeks\cms\models\Search */
/* @var $dataProvider yii\data\ActiveDataProvider */

$dataProvider->sort->defaultOrder = ['priority' => SORT_DESC];
$dataProvider->pagination->pageSize = 10000;
?>

<?= GridView::widget([
    'dataProvider'  => $dataProvider,
    'filterModel'   => $searchModel,
    'sortable'   => true,

    'columns' => [
        ['class' => 'yii\grid\SerialColumn'],

        [
            'class'         => \skeeks\cms\modules\admin\grid\ActionColumn::className(),
            'controller'    => $controller
        ],

        'name',


        [
            'class'         => \skeeks\cms\grid\BooleanColumn::className(),
            'attribute'     => 'active',
            'falseValue'    => \skeeks\cms\components\Cms::BOOL_N,
            'trueValue'     => \skeeks\cms\components\Cms::BOOL_Y
        ],


        [
            'class'     => \yii\grid\DataColumn::className(),
            'value'     => function(\skeeks\modules\cms\catalog\models\ProductProperty $model)
            {
                return $model->fetchGroup()->name;
            },

            'format' => 'html',
            'label' => 'Группа',
            'attribute' => 'group_id',
            'filter' => false
        ],

        'code',
        'priority',

    ],
]); ?>

